Zum Hauptinhalt springen
GET
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
Den Enterprise-Blueprint abrufen
curl --request GET \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "updated_at": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageAccountSnapshots auf Unternehmensebene.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

blueprint_id
string
erforderlich

Antwort

Erfolgreiche Antwort

Öffentliches Ressourcenformat für Blueprint.

Hinweis: Das Enum type kann in Zukunft erweitert werden; Clients MÜSSEN unbekannte Werte robust verarbeiten. Der YAML-Inhalt wird separat über GET /blueprints/{id}/contents abgerufen.

blueprint_id
string
erforderlich
created_at
integer
erforderlich
repo_name
string | null
erforderlich
type
enum<string>
erforderlich
Verfügbare Optionen:
enterprise,
org,
repo
updated_at
integer
erforderlich